# fn:matches

fn:matches(string? $input, string $pattern) → boolean?

Function signature

$input | xs:string ?
$pattern | xs:string
Result | xs:boolean ?

Returns true if the given string matches the given regular expression

XPath 2.0 Specification

Note:Upgraded in Saxon 7.9 to match the precise regex syntax and to support all four flags s, m, i, x.

fn:matches(string? $input, string $pattern, string $flags) → boolean?

Function signature

$input | xs:string ?
$pattern | xs:string
$flags | xs:string
Result | xs:boolean ?

Returns true if the given string matches the given regular expression, specifying flags to control the way pattern matching is performed

XPath 2.0 Specification

Note:Upgraded in Saxon 7.9 to match the precise regex syntax and to support all four flags s, m, i, x.

Expand | Up Next